Subject: bug#38007: scroll-lock binding on Windows

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Feb 2022 04:58:27 +0100

Eli Zaretskii <[email-masked]> writes:

>> - conditionally binding it to [scroll] in bindings.el according to system-type
>> 
>> - rebinding it in term/w32-win.el,
>> 
>> - or remapping [scroll] to [Scroll_Lock] in some special keymap
>> (perhaps function-key-map?)
>
> The former, with a comment about the (evidently unknown) source of the
> Scroll_Lock "function key".

I've now done the former in Emacs 29, but I don't quite understand why
the Scroll_Lock event needs a comment -- it's just a normal X keyboard
event, I think?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no